Sets the phone number displayed to called parties on outbound calls. This is useful when you want to display a specific caller ID regardless of which phone number is mapped to the trunk.
https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/settings
If you’d prefer response in JSON format, just append .json at the end of the HTTP POST request.
Replace <your_api_key> and <your_api_token> with the API key and token created by you.
<your_sid> with your “Account sid”<subdomain> with the region of your account<your_api_key> , <your_api_token> and <your_sid> are available in the API settings page of your Exotel Dashboard
| Header | Value |
|---|---|
| Content-Type | application/json |
| Parameter Name | Mandatory/Optional | Value |
|---|---|---|
| settings | Mandatory | Array; List of setting objects |
| settings[].name | Mandatory | String; Setting name. Use trunk_external_alias for caller ID |
| settings[].value | Mandatory | String; The phone number to display as caller ID. Should be in E.164 format. Example: +919876543210 |
curl -X POST "https://<your_api_key>:<your_api_token>@<subdomain>/v2/accounts/<your_sid>/trunks/<trunk_sid>/settings" \ -H "Content-Type: application/json" \ -d '{ "settings": [ { "name": "trunk_external_alias", "value": "+919876543210" } ] }'
On success, the HTTP response status code will be 200 OK
| Parameter Name | Type & Value |
|---|---|
| metadata.total | Integer; Total number of settings in request |
| metadata.success | Integer; Number of successfully applied settings |
| name | String; Setting name (trunk_external_alias) |
| value | String; The caller ID phone number |
| trunk_sid | String; The associated trunk |
| date_created | String; ISO 8601 timestamp when setting was created |
| date_updated | String; ISO 8601 timestamp when setting was last updated |
{
"request_id": "8ce98845365f43fd97c2f46df38438c6",
"method": "POST",
"http_code": 200,
"metadata": {
"total": 1,
"success": 1
},
"response": [
{
"code": 200,
"error_data": null,
"status": "success",
"data": {
"name": "trunk_external_alias",
"value": "+919876543210",
"trunk_sid": "trmum1f708622631150902801a1n",
"date_created": "2026-01-23T13:34:50Z",
"date_updated": "2026-01-23T13:34:50Z"
}
}
]
}